'use strict';

// 基类服务
const Service = require('egg').Service;

module.exports = class BaseUtils extends Service {

  /**
   * 判断时间 是否在 今天
   * @date：2023/11/16
   */
  async isToday(timeDate = '2023-11-16') {
    // 把今天的日期时分秒设置为00：00：00，返回一个时间戳,
    // todayDate就是今天00：00：00时刻的时间戳
    const todayDate = new Date().setHours(0, 0, 0, 0);
    // 给new Date()传入时间，并返回传入时间的时间戳
    const paramsDate = new Date(timeDate).setHours(0, 0, 0, 0);

    // 时间戳相同时 True 就为今天
    return (todayDate === paramsDate);
  }

};
